Loading...
Searching...
No Matches
itk::EulerTransform< TScalarType, Dimension > Class Template Reference
Components » Transforms

`#include <itkEulerTransform.h>`

## Detailed Description

template<class TScalarType, unsigned int Dimension>
class itk::EulerTransform< TScalarType, Dimension >

This class combines the Euler2DTransform with the Euler3DTransform.

This transform is a rigid body transformation.

Definition at line 88 of file itkEulerTransform.h.

Inheritance diagram for itk::EulerTransform< TScalarType, Dimension >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = EulerTransform
using | Superclass = EulerGroupTemplate<TScalarType, Dimension>

## Public Member Functions

virtual const char * | GetClassName () const
bool | GetComputeZYX () const
| ITK_DISALLOW_COPY_AND_MOVE (EulerTransform)
| itkStaticConstMacro (SpaceDimension, unsigned int, Dimension)
void | SetComputeZYX (const bool)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| EulerTransform ()=default
| ~EulerTransform () override=default

## Member Typedef Documentation

## ConstPointer

template<class TScalarType, unsigned int Dimension>

using itk::EulerTransform< TScalarType, Dimension >::ConstPointer = SmartPointer<const Self>

Definition at line 97 of file itkEulerTransform.h.

## Pointer

template<class TScalarType, unsigned int Dimension>

using itk::EulerTransform< TScalarType, Dimension >::Pointer = SmartPointer<Self>

Definition at line 96 of file itkEulerTransform.h.

## Self

template<class TScalarType, unsigned int Dimension>

using itk::EulerTransform< TScalarType, Dimension >::Self = EulerTransform

Standard ITK-stuff.

Definition at line 94 of file itkEulerTransform.h.

## Superclass

template<class TScalarType, unsigned int Dimension>

using itk::EulerTransform< TScalarType, Dimension >::Superclass = EulerGroupTemplate<TScalarType, Dimension>

Definition at line 95 of file itkEulerTransform.h.

## Constructor & Destructor Documentation

## EulerTransform()

template<class TScalarType, unsigned int Dimension>

itk::EulerTransform< TScalarType, Dimension >::EulerTransform | ( |  | ) |

protected default

## ~EulerTransform()

template<class TScalarType, unsigned int Dimension>

itk::EulerTransform< TScalarType, Dimension >::~EulerTransform | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TScalarType, unsigned int Dimension>

virtual const char * itk::EulerTransform< TScalarType, Dimension >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetComputeZYX()

template<class TScalarType, unsigned int Dimension>

bool itk::EulerTransform< TScalarType, Dimension >::GetComputeZYX | ( |  | ) | const

inline

Make sure GetComputeZYX() is available, also in 2D, in which case, it just returns false.

Definition at line 146 of file itkEulerTransform.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType, unsigned int Dimension>

itk::EulerTransform< TScalarType, Dimension >::ITK_DISALLOW_COPY_AND_MOVE | ( | EulerTransform< TScalarType, Dimension > |  | ) |

## itkStaticConstMacro()

template<class TScalarType, unsigned int Dimension>

itk::EulerTransform< TScalarType, Dimension >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | Dimension | )

Dimension of the domain space.

## New()

template<class TScalarType, unsigned int Dimension>

Pointer itk::EulerTransform< TScalarType, Dimension >::New | ( |  | ) |

static

Method for creation through the object factory.

## SetComputeZYX()

template<class TScalarType, unsigned int Dimension>

void itk::EulerTransform< TScalarType, Dimension >::SetComputeZYX | ( | const bool |  | ) |

inline

Make sure SetComputeZYX() is available, also in 2D, in which case, its just a dummy function.

Definition at line 136 of file itkEulerTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |